当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 12:29 

注册: 2007-06-12 15:34
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
编译前已经sudo apt-get build-dep mplayer安装了100多m的东西,
configure用的参数是:./configure --language=zh_CN,en --disable-mencoder
也用过其它的参数,configre可以通过。
make时出现下面的错误:
I/usr/include/freetype2 -I/usr/include -c -o libx264.o libx264.c
libx264.c: In function 'X264_init':
libx264.c:167: error: 'x264_param_t' has no member named 'i_bframe_adaptive'
make[1]: *** [libx264.o] Error 1
make[1]: Leaving directory `/home/winterli/mplayer-checkout-2008-11-03/libavcodec'
make: *** [libavcodec/libavcodec.a] 错误 2

是还有什么库没安装吗?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 12:50 

注册: 2008-10-04 22:00
帖子: 221
送出感谢: 0 次
接收感谢: 0 次
100多M也太夸张了吧,只是少了几个关联的库,按提示把缺少的装上就行啦,我是这样装的:
先增加这个源:deb http://fr.archive.ubuntu.com/ubuntu hardy main multiverse
http://sourceforge.net/project/showfile ... _id=260588 到这里下载最新版mplayer(现在是svn27751)安装,看缺少什么库就去下个装上
http://sourceforge.net/project/showfile ... _id=291876 这里可以下到需要的库

我也搞了N久才搞定,找那些库麻烦死了,呵呵


最后由 findmoon 编辑于 2008-11-04 12:51,总共编辑了 1 次

页首
 用户资料  
 
3 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 12:50 

注册: 2007-11-24 22:04
帖子: 137
送出感谢: 0 次
接收感谢: 0 次
我解决的做法是去掉libx264-dev这个库……

当然如果你找到更好的办法就更好了……


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 12:51 

注册: 2007-11-24 22:04
帖子: 137
送出感谢: 0 次
接收感谢: 0 次
找库的话,用apt-get build-dep mplayer 阿……里面默认会有libx264-dev


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 12:53 

注册: 2008-10-04 22:00
帖子: 221
送出感谢: 0 次
接收感谢: 0 次
mplayer提示缺少的是libx264-64,系统里的好像是libx264-59,apt-get好像找不到


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 13:03 

注册: 2007-04-18 2:57
帖子: 74
送出感谢: 0 次
接收感谢: 0 次
buid-dep太夸张了。

我编的时候
代码:
#BASIC
sudo apt-get install build-essential
#GTK support
sudo apt-get install libgtk2.0-dev
#XV support
sudo apt-get install libxv-dev
#ALSA support
sudo apt-get install libasound2-dev
#PULSE support
sudo apt-get install libpulse-dev

然后
代码:
./configure --enable-gui --enable-menu
make
sudo make install


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-11-04 14:41 

注册: 2007-06-12 15:34
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
谢谢楼上两位兄弟了,我把二楼那个网址里的几个包装了一下就可以了。
其中就包括三楼说的那个库,应该是库不兼容的原因。

汗,回复完才看到楼上这么多的回复,谢谢了。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 【求助】ubuntu 810下面编译最新的svn mplayer出错
帖子发表于 : 2008-12-24 14:42 
头像

注册: 2006-10-29 10:49
帖子: 136
地址: Shanghai, China
送出感谢: 0 次
接收感谢: 0 次
我下载的是2008-12-24的SVN代码。给/libavcodecs/libx264.c加个补丁就好了。如下:

mplayer-1.0_rc2_p27725-libx264-v2.patch
代码:
diff -ru mplayer-1.0_rc2_p27725.orig/libavcodec/libx264.c mplayer-1.0_rc2_p27725/libavcodec/libx264.c
--- mplayer-1.0_rc2_p27725.orig/libavcodec/libx264.c   2008-10-06 21:04:25.000000000 -0400
+++ mplayer-1.0_rc2_p27725/libavcodec/libx264.c   2008-10-16 15:14:54.945469559 -0400
@@ -162,7 +162,11 @@
 
     x4->params.i_bframe = avctx->max_b_frames;
     x4->params.b_cabac = avctx->coder_type == FF_CODER_TYPE_AC;
+#if X264_BUILD > 62
     x4->params.i_bframe_adaptive = avctx->b_frame_strategy;
+#else
+    x4->params.b_bframe_adaptive = avctx->b_frame_strategy;
+#endif
     x4->params.i_bframe_bias = avctx->bframebias;
     x4->params.b_bframe_pyramid = avctx->flags2 & CODEC_FLAG2_BPYRAMID;
     avctx->has_b_frames= avctx->flags2 & CODEC_FLAG2_BPYRAMID ? 2 : !!avctx->max_b_frames;
@@ -227,6 +231,10 @@
     x4->params.analyse.i_me_range = avctx->me_range;
     x4->params.analyse.i_subpel_refine = avctx->me_subpel_quality;
 
+#if X264_BUILD < 65
+    x4->params.analyse.b_bidir_me = avctx->bidir_refine > 0;
+    x4->params.analyse.b_bframe_rdo = avctx->flags2 & CODEC_FLAG2_BRDO;
+#endif
     x4->params.analyse.b_mixed_references =
         avctx->flags2 & CODEC_FLAG2_MIXED_REFS;
     x4->params.analyse.b_chroma_me = avctx->me_cmp & FF_CMP_CHROMA;


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译